#!/usr/bin/python
# -*- coding: UTF-8 -*-
import sys
import os
import ess

if __name__ == '__main__':
    # 生成 token
    token = ess.Token(accesskey="ak", secretkey="sk")
    # 指定路径和 bucket
    api = ess.ApiSdk(
        token=token, url="https://api-ess.xycloud.com", bucket="bucket")

    # 列出文件列表
    print "------list file test------"
    print api.fileList(uri="", pageno=1, pagesize=50)

    # 删除文件
    print "------remove file test------"
    print api.rmFile(uri=["test/aaa"])

    # 删除目录
    print "------remove directory test------"
    print api.rmDir(uri=["test/abc"])

    # 上传文件
    print "------upload file test------"
    upload = ess.ApiSdk(
        token=token, url="https://upload-ess.xycloud.com", bucket="bucket")
    print upload.uploadFile(
        exipiretime="0", 
    	filePath ="test.txt", # 本地上传文件
        uploadUri="test.com/dir/test.txt"  # 上传 uri
    )
